Skip to main content
GET
Retrieve details of a specific export by its unique ID.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
crm.export

Path Parameters

exportId
integer<int64>
required

The unique identifier of the export to retrieve. It is an integer value.

Response

successful operation

createdAt
string<date-time>
required

The timestamp when the export was created, in ISO 8601 format.

exportState
enum<string>
required

The current state of the export process.

Available options:
CANCELED,
CONFLICT,
DEFERRED,
DELETED,
DONE,
ENQUEUED,
FAILED,
PENDING_APPROVAL,
PROCESSING
exportType
enum<string>
required

The type of export, which can be either VIEW or LIST.

Available options:
LIST,
VIEW
id
string
required

The unique ID of the export.

objectProperties
string[]
required

The list of properties exported for the associated object.

objectType
string
required

The associated CRM object being exported.

updatedAt
string<date-time>
required

The timestamp when the export was last updated, in ISO 8601 format.

exportName
string

The name assigned to the export.

recordCount
integer<int32>

The total number of records included in the export.

Last modified on September 9, 2026